- Basic mathematics
  - [Hello World (and Universe)!](basic.md#hello-world-and-universe)
  - [The logistic map](basic.md#the-logistic-map)
  - [The Fibonacci sequence](basic.md#the-fibonacci-sequence)
    - [Using the closed-form formula as a
    function](basic.md#using-the-closed-form-formula-as-a-function)
    - [Using a vector](basic.md#using-a-vector)
    - [Solving an iterative problem](basic.md#solving-an-iterative-problem)
  - [Computing the derivative of a function as a UNIX
  filter](basic.md#computing-the-derivative-of-a-function-as-a-unix-filter)
  - [On the evaluation of thermal expansion
  coefficients](basic.md#on-the-evaluation-of-thermal-expansion-coefficients)
- Ordinary Differential Equations & Differential-Algebraic Equations
  - [Lorenz’ attractor—the one with the
  butterfly](daes.md#lorenz-attractorthe-one-with-the-butterfly)
  - [The double pendulum](daes.md#the-double-pendulum)
- Laplace’s equation
  - [How to solve a maze without AI](laplace.md#how-to-solve-a-maze-without-ai)
    - [Transient top-down](laplace.md#transient-top-down)
    - [Transient bottom-up](laplace.md#transient-bottom-up)
- Heat conduction
  - [Thermal slabs](thermal.md#thermal-slabs)
    - [One-dimensional linear](thermal.md#one-dimensional-linear)
  - [Non-dimensional transient heat conduction on a
  cylinder](thermal.md#non-dimensional-transient-heat-conduction-on-a-cylinder)
  - [Non-dimensional transient heat conduction with time-dependent
  properties](thermal.md#non-dimensional-transient-heat-conduction-with-time-dependent-properties)
- Linear elasticity
  - [NAFEMS LE10 “Thick plate pressure”
  benchmark](mechanical.md#nafems-le10-thick-plate-pressure-benchmark)
  - [NAFEMS LE11 “Solid Cylinder/Taper/Sphere-Temperature”
  benchmark](mechanical.md#nafems-le11-solid-cylindertapersphere-temperature-benchmark)
  - [NAFEMS LE1 “Elliptical membrane” plane-stress
  benchmark](mechanical.md#nafems-le1-elliptical-membrane-plane-stress-benchmark)
  - [Parametric study on a cantilevered
  beam](mechanical.md#parametric-study-on-a-cantilevered-beam)
  - [Parallelepiped whose Young’s modulus is a function of the
  temperature](mechanical.md#parallelepiped-whose-youngs-modulus-is-a-function-of-the-temperature)
    - [Thermal problem](mechanical.md#thermal-problem)
    - [Mechanical problem](mechanical.md#mechanical-problem)
  - [Orthotropic free expansion of a
  cube](mechanical.md#orthotropic-free-expansion-of-a-cube)
  - [Thermo-elastic expansion of finite
  cylinders](mechanical.md#thermo-elastic-expansion-of-finite-cylinders)
  - [Temperature-dependent material
  properties](mechanical.md#temperature-dependent-material-properties)
  - [Two cubes compressing each other](mechanical.md#two-cubes-compressing-each-other)
- Mechanical modal analysis
  - [Optimizing the length of a tuning
  fork](modal.md#optimizing-the-length-of-a-tuning-fork)
  - [Five natural modes of a cantilevered
  wire](modal.md#five-natural-modes-of-a-cantilevered-wire)
- Neutron diffusion
  - [IAEA 2D PWR Benchmark](neutron_diffusion.md#iaea-2d-pwr-benchmark)
  - [IAEA 3D PWR Benchmark](neutron_diffusion.md#iaea-3d-pwr-benchmark)
  - [Cube-spherical bare reactor](neutron_diffusion.md#cube-spherical-bare-reactor)
  - [Illustration of the XS dilution & smearing
  effect](neutron_diffusion.md#illustration-of-the-xs-dilution-smearing-effect)
- Neutron transport using $S_N$
  - [Reed’s problem](neutron_sn.md#reeds-problem)
